commit:     a63b1969ce7469d007fe8a59bb153aca0f4d51bd
Author:     Chí-Thanh Christopher Nguyễn <chithanh <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  9 08:33:35 2016 +0000
Commit:     Chí-Thanh Christopher Nguyễn <chithanh <AT> gentoo <DOT> org>
CommitDate: Sat Jul  9 08:33:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a63b1969

x11-libs/libva-vdpau-driver: drop nouveau support

>=mesa-12 now has native VAAPI support for nouveau

Bug: https://bugs.gentoo.org/show_bug.cgi?id=588392

Package-Manager: portage-2.2.28

 .../libva-vdpau-driver-0.7.4-r4.ebuild             | 44 ++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/x11-libs/libva-vdpau-driver/libva-vdpau-driver-0.7.4-r4.ebuild 
b/x11-libs/libva-vdpau-driver/libva-vdpau-driver-0.7.4-r4.ebuild
new file mode 100644
index 0000000..96060e8
--- /dev/null
+++ b/x11-libs/libva-vdpau-driver/libva-vdpau-driver-0.7.4-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF="yes"
+inherit autotools-multilib eutils
+
+DESCRIPTION="VDPAU Backend for Video Acceleration (VA) API"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/vaapi";
+SRC_URI="https://www.freedesktop.org/software/vaapi/releases/libva-vdpau-driver/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug opengl"
+
+RDEPEND=">=x11-libs/libva-1.2.1-r1[X,opengl?,${MULTILIB_USEDEP}]
+       opengl? ( >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}] )
+       >=x11-libs/libvdpau-0.8[${MULTILIB_USEDEP}]
+       !x11-libs/vdpau-video"
+
+DEPEND="${DEPEND}
+       virtual/pkgconfig"
+
+DOCS=( NEWS README AUTHORS )
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}"/${P}-glext-missing-definition.patch \
+               "${FILESDIR}"/${P}-VAEncH264VUIBufferType.patch \
+               "${FILESDIR}"/${P}-libvdpau-0.8.patch
+       sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die
+       autotools-multilib_src_prepare
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_enable opengl glx)
+       )
+       autotools-utils_src_configure
+}

Reply via email to